Bug 155044 - Add option to confirm before quitting
Add option to confirm before quitting
Status: RESOLVED WONTFIX
Product: platform
Classification: Unclassified
Component: -- Other --
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Antonin Nebuzelsky
issues@platform
issue_reviewed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-09 15:57 UTC by voidmain
Modified: 2011-01-28 12:17 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description voidmain 2008-12-09 15:57:20 UTC
This would be help full for Mac users since the keystroke to close a file and close the application are right next to
each other - cmd-w and cmd-q. It would be nice to have an option in the settings to confirm before quitting so that if
you accidentally hit the wrong key, you can hit escape and return to the application.
Comment 1 Peter Pis 2008-12-12 08:07:19 UTC
Reassigning to core for evaluation.
Comment 2 Lukas Hasik 2008-12-15 11:11:57 UTC
afair, there used to be such option. We got rid of it. However it there are unsaved sources the IDE asks if you really
want to exit. 

I'm reassigning it to the UI experts to decide if NB needs such option
Comment 3 voidmain 2008-12-15 16:03:50 UTC
We'll see what they say, but I've already hit quit twice accidently in NetBeans. One way to approach it is to default
the option to "on" (meaning prompt before quitting), give the user the choice to "Not show this dialog again", and put
an option in the settings. This seems to be a good combination of different settings and options. It is how other
applications seem to address the issue.

Another way to tackle it would be to only prompt if there are files open, otherwise just quit. I'm not a huge fan of
this, but I'd live with it.
Comment 4 Ondrej Langr 2010-09-30 12:38:28 UTC
No reason to implement. AFAIK, to ask only if there are unsaved changes is standard application behavior
Comment 5 voidmain 2010-09-30 14:33:23 UTC
I'm not sure why projects are so opposed to implementing features that make user's lives easier. I'll just have to resort to comparing it with better products:

"IntelliJ does this exactly how I've described it and it saves major time when I accidently hit CMD+Q instead of CMD+W"
Comment 6 _ theanuradha 2010-10-01 03:27:48 UTC
@voidmain I just developed plug-in to support requested behaver it only took    10-mins to finish. I agree with @Ondrej Langr,It is not standard application behavior,But when It come to IDE this feature really helps (both Eclipse -IDEA do support this ).
Let me know if it dose not work on 6.9 or etc I'll fix 
plug-in link
http://plugins.netbeans.org/PluginPortal/faces/PluginDetailPage.jsp?pluginid=33075
Comment 7 Antonin Nebuzelsky 2011-01-28 12:17:51 UTC
Thanks to Anuradha for the plugin. Closing wontfix now.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo